# ServerConfigCustomServicesTwitter

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Username** | Pointer to **string** |  | [optional] 
**Whitelisted** | Pointer to **bool** |  | [optional] 

## Methods

### NewServerConfigCustomServicesTwitter

`func NewServerConfigCustomServicesTwitter() *ServerConfigCustomServicesTwitter`

NewServerConfigCustomServicesTwitter instantiates a new ServerConfigCustomServicesTwitter object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewServerConfigCustomServicesTwitterWithDefaults

`func NewServerConfigCustomServicesTwitterWithDefaults() *ServerConfigCustomServicesTwitter`

NewServerConfigCustomServicesTwitterWithDefaults instantiates a new ServerConfigCustomServicesTwitter object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetUsername

`func (o *ServerConfigCustomServicesTwitter) GetUsername() string`

GetUsername returns the Username field if non-nil, zero value otherwise.

### GetUsernameOk

`func (o *ServerConfigCustomServicesTwitter) GetUsernameOk() (*string, bool)`

GetUsernameOk returns a tuple with the Username field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetUsername

`func (o *ServerConfigCustomServicesTwitter) SetUsername(v string)`

SetUsername sets Username field to given value.

### HasUsername

`func (o *ServerConfigCustomServicesTwitter) HasUsername() bool`

HasUsername returns a boolean if a field has been set.

### GetWhitelisted

`func (o *ServerConfigCustomServicesTwitter) GetWhitelisted() bool`

GetWhitelisted returns the Whitelisted field if non-nil, zero value otherwise.

### GetWhitelistedOk

`func (o *ServerConfigCustomServicesTwitter) GetWhitelistedOk() (*bool, bool)`

GetWhitelistedOk returns a tuple with the Whitelisted field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetWhitelisted

`func (o *ServerConfigCustomServicesTwitter) SetWhitelisted(v bool)`

SetWhitelisted sets Whitelisted field to given value.

### HasWhitelisted

`func (o *ServerConfigCustomServicesTwitter) HasWhitelisted() bool`

HasWhitelisted returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


